/***********************************************************************\
* NLED Text Editor Copyright 1987-2003, Evan Alexander Weaver           *
*                                                                       *
* This source code, and the associated executable programs obtained by  *
* compiling it, are published under the GNU General Public License. See *
* the accompanying file "nled.txt" for the details of this license and  *
* some other comments about NLED and this source code.                  *
*                                                                       *
* File: NLEDFDEF.H                        Date Last Modified: 08-Jul-96 *
*                                                                       *
* Function prototypes for NLED.                                         *
\***********************************************************************/

/**************\
* File: NLED.C *
\**************/
extern void editline(int);
extern void editor(void);
extern int  escapes(void);
extern int  finalize(void);
extern void help(void);
extern int  initialize(void);

/*****************\
* File: NLEDATA.C *
\*****************/
extern int  datclear(void);
extern void datclose(void);
extern INDEX datdeln(INDEX, INDEX);
extern int  datfappend(FILE *, INDEX *, INDEX *, INDEX, int);
extern int  datfind(INDEX);
extern int  datfindseq(INDEX);
extern int  datfwrite(FILE *, int, int);
extern int  datget(INDEX);
extern int  datgetseq(void);
extern INDEX datinsn(char, INDEX, INDEX);
extern int  datinss(char *, int, INDEX);
extern INDEX datllen(INDEX);
extern void datmove(INDEX, INDEX, INDEX);
extern int  datopen(void);
extern INDEX datpllen(INDEX);
extern void datprint(INDEX, int);
extern int  datset(char, INDEX);

/****************\
* File: NLEDIO.C *
\****************/
extern void beep(int);
extern int  fgetnb(int, char *, FILE *);
extern int  fputnb(int, char *, FILE *);
extern int  inputc(void);
extern int  inputs(char *, int *, int, char *);
extern int  insfile(void);
extern int  loadcfg(char *);
extern int  namefile(char *, char *);
extern int  newfile(void);
extern void printhex(int);
extern void printindex(INDEX, int);
extern void printsstr(int, int, char *);
extern void printstr(char *);
extern int  readfile(char *, INDEX);
extern int  savecfg(void);
extern int  savefile(void);
extern int  saveyn(void);

/*****************\
* File: NLEDISP.C *
\*****************/
extern void dispcalc(int);
extern void dispinit(INDEX, INDEX, int, int);
extern void display(void);
extern void dispmess(char *, int, int);
extern void dispnmess(char *, int, int, int);
extern void dispnextw(void);
extern void dispprevw(void);
extern void dispstatus(void);
extern void dispupd(char, INDEX);
extern void setdraw(void);
extern void setdrawall(void);

/****************\
* File: NLEDIT.C *
\****************/
extern void blockupd(INDEX, INDEX);
extern void delete(int, int, char *, int *);
extern int  dispchgcase(void);
extern int  dispcpyblk(void);
extern int  dispdelblk(void);
extern void dispdelc(void);
extern void dispinsc(char, INDEX);
extern int  dispmovblk(void);
extern void disprepc(char);
extern void filltoend(void);
extern void insert(char *, int, int, char *, int *, int);
extern void insertc(char, int, int, char *, int *, int);
extern INDEX nolines(INDEX, INDEX);
extern void offedge(void);

/******************\
* File: NLEDMISC.C *
\******************/
extern INDEX atoindex(char *);
extern int doscall(void);
extern int find(char *, int);
extern int findrepl(int);
extern int funckey(int);
extern int gotoline(void);
extern int htoc(char *);
extern int inpfunckey(void);
extern int inputhex(void);
extern int setbeep(void);
extern int setcase(void);
extern int setmode(void);
extern int settabs(void);
extern int sstrcmp(char *, char *, int);

/***********************************************\
* File: QKDISP.ASM (Zortech) or QKDISP.C (UNIX) *
\***********************************************/
extern void qd_beep(void);
extern void qd_boldon(void);
extern void qd_boldoff(void);
extern void qd_clear(void);
extern void qd_close(void);
extern void qd_color(int);
extern int  qd_cols(void);
extern void qd_eeol(void);
extern void qd_flush(void);
extern void qd_fixterm(void);
extern int  qd_getch(void);
extern void qd_move(int, int);
extern void qd_off(void);
extern void qd_on(void);
extern void qd_open(void);
extern void qd_puts(int, char *);
extern void qd_resetterm(void);
extern void qd_revon(void);
extern void qd_revoff(void);
extern int  qd_rows(void);
extern void qd_scrollup(int, int);
extern void qd_scrolldown(int, int);
extern void qd_snowoff(void);
extern void qd_snowon(void);
extern void qd_usebios(void);

/*--------------------------END-OF-NLEDFDEF.H--------------------------*/
